
-- hide passes as master looter to clean the list a bit
function LootHistoryFrameUtil_ShouldDisplayPlayer(itemIdx, playerIdx)
    local _, _, rollType, roll, _, isMe = C_LootHistory.GetPlayerInfo(itemIdx, playerIdx);
    return(isMe or roll or rollType ~= LOOT_ROLL_TYPE_PASS)
end

local f = CreateFrame("frame")
f:RegisterEvent("LOOT_HISTORY_ROLL_CHANGED")
f:SetScript("OnEvent", function(self,event,...)

    -- update expanded roll (sort and filter)
    if event == "LOOT_HISTORY_ROLL_CHANGED" then
        local itemIdx, playerIdx = ...;
        local LH = LootHistoryFrame;

        if LH.itemFrames[itemIdx] and playerIdx%5==0  then
            local itemFrame = LH.itemFrames[itemIdx]

            if itemFrame.rollID and LH.expandedRolls[itemFrame.rollID] then
                LootHistoryFrame_FullUpdate(LH)
            end
        end
    end
end)
